# User Documentation

## 📋 Outline
- [What is it? (short description what the software does, max 3 sentences)](#what-is-it)
  - A couple of use cases (different scopes)
  - Why do I need / want this? When should I pass?
  - Compare with other platforms
  - Compare with well-known tools (what parts of my stack / pipeline does this cover?)
    - argo -> vercel
    - monitoring -> data dog
    - forgejo -> graphite
- [Main features (brief list of main features and enablers - why it is in the stack)](#main-features)
  - what are our opinions / core principles and believes that are backed in?
    - k8s > *
  - Developer Portal: Backstage
- [Quick start guide](#quick-start-guide)
- [Configuration](#configuration)
  - structure of the poc (where / how can I change something?)
  - how does it work? (bootstrapping++)
- [Known Issues / TODOs](#known-issues)
- [References (documentation links etc...)](#references)

## 🧐 What is it?

## 📦 Main features

## ⏱️ Quick start guide

## ⚙️ Configuration

## 🔗 References
- Technical Documentation  
